<?php
/**
 * Block Patterns
 *
 * @package kindergarten_preschool
 * @since 1.0
 */

function kindergarten_preschool_register_block_patterns() {
	$kindergarten_preschool_block_pattern_categories = array(
		'kindergarten-preschool' => array( 'label' => esc_html__( 'Kindergarten Preschool', 'kindergarten-preschool' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'kindergarten-preschool' ) ),
	);

	$kindergarten_preschool_block_pattern_categories = apply_filters( 'kindergarten_preschool_kindergarten_preschool_block_pattern_categories', $kindergarten_preschool_block_pattern_categories );

	foreach ( $kindergarten_preschool_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'kindergarten_preschool_register_block_patterns', 9 );